Bug 439942 - unable to run dhcp6c in debug mode [NEEDINFO]
unable to run dhcp6c in debug mode
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: dhcpv6 (Show other bugs)
5.1
All Linux
urgent Severity low
: rc
: ---
Assigned To: David Cantrell
: ZStream
Depends On:
Blocks: 253764 449325
  Show dependency treegraph
 
Reported: 2008-03-31 21:59 EDT by Lawrence Lim
Modified: 2014-03-25 20:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:38:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dcantrell: needinfo? (llim)


Attachments (Terms of Use)

  None (edit)
Description Lawrence Lim 2008-03-31 21:59:54 EDT
Description of problem:
Attempt to run dhcp6c in debug mode will experience the application going into
an infinite loop. Similar experience has been observed in F-9 as well.

Version-Release number of selected component (if applicable):
dhcpv6_client-0.10-33.el5

How reproducible:
Always

Steps to Reproduce:
1. create /tmp/dhcp6c.conf

interface eth1 {
 send rapid-commit;
 request domain-name-servers;
 iaid 1111;
 address {
 3ffe:501:ffff:100:216:17ff:fe42:6a6e/64;
 };
 };

2. dhcp6c -dDf -c tmp/dhcp6c.conf eth1
3.
  
Actual results:

Apr/01/2008 09:56:08 found an interface eth1 harware 00:1d:0f:19:59:fc
Apr/01/2008 09:56:08 saved generated DUID to /var/lib/dhcpv6/dhcp6c_duid
Apr/01/2008 09:56:08 set client ID
Apr/01/2008 09:56:08 set opt_8
Apr/01/2008 09:56:08 set rapid commit
Apr/01/2008 09:56:08 set IA_NA iaidinfo: iaid 420420864 renewtime 0 rebindtime 0
Apr/01/2008 09:56:08 set opt_3
Apr/01/2008 09:56:08 set option request
Apr/01/2008 09:56:08 send dst if eth1 addr is ff02::1:2%eth1 scope id is 3
Apr/01/2008 09:56:08 send solicit to ff02::1:2%eth1
Apr/01/2008 09:56:08 DUID is 00:01:00:01:47:f1:96:30:10:b1:eb:39:ff:7f, DUID_LEN
is 14
Apr/01/2008 09:56:08 removing ID (ID: 00:01:00:01:47:f1:96:30:10:b1:eb:39:ff:7f)
Apr/01/2008 09:56:08 DUID is , DUID_LEN is 0
Apr/01/2008 09:56:08 reset a timer on eth1, state=SOLICIT, timeo=3, retrans=8268

Expected results:
Should not be stuck in a loop

Additional info:
Comment 4 Lawrence Lim 2008-05-30 01:43:14 EDT
Debug mode in client has been fixed with the test build dhcpv6-1.0.10-5.el5.
Would you like to include this bug in z-stream update?
Comment 9 David Cantrell 2008-07-23 17:22:49 EDT
You're passing the -f switch, which keeps dhcp6c running in the foreground.  Is that the intention?  I am 
running it here using your command line and it's working fine, except dhcp6c stays in the foreground 
rather than going to the background.
Comment 14 errata-xmlrpc 2009-01-20 16:38:29 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0165.html

Note You need to log in before you can comment on or make changes to this bug.